Bug 96927

Summary: [BlackBerry] [FullScreen] entering/leaving fullscreen results in temporary glitches on the screen
Product: WebKit Reporter: Antonio Gomes <tonikitoo>
Component: WebKit BlackBerryAssignee: Antonio Gomes <tonikitoo>
Status: RESOLVED FIXED    
Severity: Normal CC: mfeil, mifenton, rwlbuis, tonikitoo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 96925    
Bug Blocks:    
Attachments:
Description Flags
patch yong.li.webkit: review+

Description Antonio Gomes 2012-09-17 09:14:15 PDT
PR #180866

"Antonio Gomes 2012-07-19 15:27:35 EDT

it is us, increasing the viewport size, stretching the its content, scheduling
a zoom about point, and fitting to content again.

we cold make use of Jakob's nice nested suspend/resumeBackingUpdates change to
make it look prettier."
Comment 1 Antonio Gomes 2012-09-17 09:35:14 PDT
Created attachment 164409 [details]
patch
Comment 2 Yong Li 2012-09-17 09:54:04 PDT
Comment on attachment 164409 [details]
patch

LGTM
Comment 3 Antonio Gomes 2012-09-17 11:00:57 PDT
http://trac.webkit.org/changeset/128772
Comment 4 Max Feil 2012-10-04 15:59:54 PDT
This patch has broken AIR and WebWorks apps. Backing store screen updates stop forever, so WebKit appears frozen. I am investigating a fix.